---
title: "Update organization settings"
url: "https://docs.signnow.com/docs/organization/operations/put-v2-organizations-org_id-settings"
type: "endpoint"
section: "organization"
slug: "organization/operations/put-v2-organizations-org_id-settings"
method: "PUT"
path: "/v2/organizations/{org_id}/settings"
operation_id: "put-v2-organizations-org_id-settings"
authorization: "bearer"
---

# Update organization settings

`PUT /v2/organizations/{org_id}/settings`

This endpoint allows admins to update settings for the specified organization.

Learn more about [organization settings](/docs/organizations#organization-settings).

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the requested organization. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "setting_name",
    "value"
  ],
  "properties": {
    "value": {
      "type": "string",
      "minLength": 1,
      "description": "The new value of the setting. List of settings in the endpoint description."
    },
    "setting_name": {
      "type": "string",
      "minLength": 1,
      "description": "The name of the setting that is changed."
    }
  },
  "x-examples": {
    "example-1": {
      "value": "setting_value",
      "setting_name": "user_setting_name"
    }
  },
  "description": ""
}
```

**Example** (`application/json`)

```json
{
  "value": "setting_value",
  "setting_name": "user_setting_name"
}
```

## Responses

### 204

Returns 204: Success, no content for admins and moderators with free trial, professional, or enterprise subscriptions.

### 400

- The `value` type is incorrect.
- The `value` field is missing.
- The `value` should be 1000 characters or fewer.
- The `setting_name` field is missing.
- The organization setting was not found.
- The access token is incorrect.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 12009001,
      "message": "The `setting_name` field is required."
    }
  ]
}
```

**Example** (`Value is missing`)

```json
{
  "errors": [
    {
      "code": 12009005,
      "message": "The value field is required."
    }
  ]
}
```

**Example** (`Setting not found`)

```json
{
  "errors": [
    {
      "code": 12009003,
      "message": "Organization setting is not found."
    }
  ]
}
```

**Example** (`Value is too long`)

```json
{
  "errors": [
    {
      "code": 12009006,
      "message": "The value filed can not exceed the limit of 1000 characters."
    }
  ]
}
```

**Example** (`Value type incorrect`)

```json
{
  "errors": [
    {
      "code": 12009004,
      "message": "The value field must be a string."
    }
  ]
}
```

**Example** (`Setting_name is missing`)

```json
{
  "errors": [
    {
      "code": 12009001,
      "message": "The setting_name field is required."
    }
  ]
}
```

### 403

- The user is not the organization admin.
- The user cannot change settings with the current subscription plan.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

**Example** (`User is not admin`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

**Example** (`Subscription restricted`)

```json
{
  "errors": [
    {
      "code": 12003002,
      "message": "Access denied for current subscription."
    }
  ]
}
```

### 404

Organization not found.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `4e9cdccb8e764fbe86a664cc9e24502d3dbYYYYY` is not found."
    }
  ]
}
```

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `4e9cdccb8e764fbe86a664cc9e24502d3dbYYYYY` is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/organizations/{org_id}/settings" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"value": "setting_value", "setting_name": "user_setting_name"}'
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/put-v2-organizations-org_id-settings*
